@import url('https://fonts.googleapis.com/css?family=Actor:400|PT+Sans:400');

:root {
    --clr-primary: #eb4800;
    --clr-primary-hover: #802701;
    --bg-100: #242424;
    --bg-900: #000000;
    --clr-100: #000000;
    --white: #fff;
    --ff-heading: 'PT Sans', sans-serif;
    /* --ff-body: 'Actor', sans-serif; */
    --ff-body: sans-serif;
}

*,
*::before,
*::after {
    box-sizing: inherit;
}



*{
    margin: 0;
    padding: 0;

}

html {
    box-sizing: border-box;
    font-size: 100%;
}

body {
    background: white;
    font-family: var(--ff-body);
    font-weight: 400;
    line-height: 1.75;
    color: var(--clr-100);
    scroll-behavior: smooth;
}

h1, h2, h3, h4, h5{
    margin: 0;
    /* font-family: var(--ff-heading); */
    font-weight: 400;
    line-height: 1.3;
}

h1 {
    margin-top: 0;
    font-size: 3.052rem;
}

h2 {
    font-size: 2.441rem;
}

h3 {
    font-size: 1.953rem;
}

h4 {
    font-size: 1.563rem;
}

h5 {
    font-size: 1.25rem;
}


small,
.text_small {
    font-size: 0.8rem;
}



.container {
    width: 100%;
    max-width: 1200px;
    margin: 0 auto;
}


@media (max-width: 1199px) {
    .container {
        padding: 0 20px;
    }
}





/* GENERAL STYLING */


header{
    width: 100%;
    height: 80px;
    background-color: var(--bg-100);
    background-color: #242424;
    display: flex;
    align-items: center;
}
.navbar {
    width: 100%;
    padding: 20px 0;
    display: flex;
    align-items: center;
    justify-content: space-between;
}
.logo a {
    text-decoration: none;
}
.logo a h3{
    color: var(--white);
    font-weight: 600;
    text-transform: uppercase;
    letter-spacing: 3px;
}
.logo h3 span {
    color: var(--clr-primary);
}
.navbar ul {
    list-style: none;
    display: flex;
    gap: 10px 20px;
    align-items: center;
}

.navbar ul a{
    color: var(--white);
    font-size: 1.1rem;
    text-decoration: none;
}


.hambuger {
    display: none;
    background-color: var(--white);
    width: 30px;
    height: 30px;
    border-radius: 3px;
    cursor: pointer;
}
.nav-for-smaller-screens{
    position: fixed;
    top: 0;
    display: none;
    background-color: var(--white);
    z-index: 1000000;
    transition: all 1s;
    max-width: 250px;
    width: 70%;
    height: 100vh;
    color: var(--clr-100);
}
.nav-for-smaller-screens ul a{
    /* border: 2px solid black; */
    padding: 30px;
    color: var(--white);
    font-size: 1.1rem;
    text-decoration: none;
    color: var(--clr-100);
    display: block;
    text-transform: uppercase;
}

.nav-for-smaller-screens ul a:hover{
    color: var(--white);
    text-decoration: underline;
    background-color: var(--clr-primary);
}

.nav-icons{
    overflow: hidden;
}
.fa-bars{
    padding: 7px 10px;
}


/* STYLING SUB-HEADER CONTAINER */

.sub-header{
    background-color: var(--clr-primary);
    color: var(--white);
    padding: 10px 0;
}

.sub-header a{
    color: var(--white);
    font-weight: bold;
}



footer {
    background-color: var(--bg-100);
}

footer .first-content{
    display: flex;
    height: 200px;
    font-size: 3rem;
    color: var(--clr-100);
    align-items: center;
    justify-content: center;
}
footer .last-content{
    display: flex;
    justify-content: center;
    align-items: center;
    padding: 10px;
    background-color: var(--bg-900);
    color: var(--white);
}



/* MEDIA QUERY */


@media screen and (max-width:960px){
    header h3{
        font-size: 25.6px;
    }
    header .navigations{
        display: none;
    }
    .hambuger{
        padding: 0 2px;
        display: block;
        display: flex;
        justify-content: center;
    }
}


@media screen and (max-width: 400px){
    
    .logo a h3{
        font-weight: 300;
        letter-spacing: 1px;
        font-size: 1.3rem;
    }

    footer .first-content{
        font-size: 2rem;
    }
}
